-- MySQL dump 10.13  Distrib 5.6.27, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: gTunes
-- ------------------------------------------------------
-- Server version	5.6.27-0ubuntu1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `album`
--

DROP TABLE IF EXISTS `album`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `album` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `artist_id` bigint(20) NOT NULL,
  `date_created` datetime NOT NULL,
  `genre` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `year` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_1nh34aosh1k5u4d8psyf915ty` (`artist_id`),
  CONSTRAINT `FK_1nh34aosh1k5u4d8psyf915ty` FOREIGN KEY (`artist_id`) REFERENCES `artist` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `album`
--

LOCK TABLES `album` WRITE;
/*!40000 ALTER TABLE `album` DISABLE KEYS */;
INSERT INTO `album` VALUES (1,1,1,'2014-11-26 21:08:33','Electronic','Ninja Tuna',2008),(2,1,2,'2014-11-26 21:08:33','Classical','Fine Music, Vol. 1',2008),(3,1,3,'2014-11-26 21:08:33','Jazz','Bob Acri',2004),(4,1,4,'2014-11-26 21:08:33','Podcast','Free Music Archive Song of the Day Podcast',2014),(5,1,4,'2014-11-26 21:08:35','Podcast','White Album',2012),(6,1,4,'2014-11-26 21:08:35','Rock','The Wall',2012),(7,1,5,'2014-11-26 21:08:35','Podcast','Free Music Archive Song of the Day Podcast',2012),(8,1,6,'2014-11-26 21:08:35','Podcast','Free Music Archive Song of the Day Podcast',2012),(9,1,7,'2014-11-26 21:08:35','Classical','White Album',2012),(10,1,8,'2014-11-26 21:08:35','Podcast','Free Music Archive Song of the Day Podcast',2012),(11,1,9,'2014-11-26 21:08:35','Podcast','Revolver',2012);
/*!40000 ALTER TABLE `album` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `artist`
--

DROP TABLE IF EXISTS `artist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `artist` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `date_created` datetime NOT NULL,
  `last_updated` datetime NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `artist`
--

LOCK TABLES `artist` WRITE;
/*!40000 ALTER TABLE `artist` DISABLE KEYS */;
INSERT INTO `artist` VALUES (1,1,'2014-11-26 21:08:33','2014-11-26 21:08:33','Mr. Scruff'),(2,1,'2014-11-26 21:08:33','2014-11-26 21:08:33','Richard Stoltzman/Slovak Radio Symphony Orchestra'),(3,1,'2014-11-26 21:08:33','2014-11-26 21:08:33','Bob Acri'),(4,1,'2014-11-26 21:08:33','2014-11-26 21:08:35','WFMU'),(5,1,'2014-11-26 21:08:35','2014-11-26 21:08:35','Kayah'),(6,1,'2014-11-26 21:08:35','2014-11-26 21:08:35','Kora'),(7,1,'2014-11-26 21:08:35','2014-11-26 21:08:35','Shakira'),(8,1,'2014-11-26 21:08:35','2014-11-26 21:08:35','Prince'),(9,1,'2014-11-26 21:08:35','2014-11-26 21:08:35','The Beatles');
/*!40000 ALTER TABLE `artist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `song`
--

DROP TABLE IF EXISTS `song`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `song` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `album_id` bigint(20) NOT NULL,
  `artist_id` bigint(20) NOT NULL,
  `date_created` datetime NOT NULL,
  `duration` int(11) NOT NULL,
  `genre` varchar(255) NOT NULL,
  `last_updated` datetime NOT NULL,
  `title` varchar(255) NOT NULL,
  `track_number` int(11) NOT NULL,
  `year` int(11) NOT NULL,
  `songs_idx` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_s26p4wlmwakdj7ajdv4vee6n8` (`album_id`),
  KEY `FK_9ibhcqu1mty885pr2gxrc1n92` (`artist_id`),
  CONSTRAINT `FK_9ibhcqu1mty885pr2gxrc1n92` FOREIGN KEY (`artist_id`) REFERENCES `artist` (`id`),
  CONSTRAINT `FK_s26p4wlmwakdj7ajdv4vee6n8` FOREIGN KEY (`album_id`) REFERENCES `album` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=286 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `song`
--

LOCK TABLES `song` WRITE;
/*!40000 ALTER TABLE `song` DISABLE KEYS */;
INSERT INTO `song` VALUES (1,0,1,1,'2014-11-26 21:08:33',348055,'Electronic','2014-11-26 21:08:33','Kalimba',1,2008,0),(2,0,2,2,'2014-11-26 21:08:33',169691,'Classical','2014-11-26 21:08:33','Maid with the Flaxen Hair',2,2008,0),(3,0,3,3,'2014-11-26 21:08:33',200568,'Jazz','2014-11-26 21:08:33','Sleep Away',3,2004,0),(4,0,4,4,'2014-11-26 21:08:33',634,'Podcast','2014-11-26 21:08:33','Lonnie Holley - The Obama Groove',1,2012,0),(5,0,4,4,'2014-11-26 21:08:33',64,'Podcast','2014-11-26 21:08:33','Los Amparito - El barzón',1,2012,1),(6,0,4,4,'2014-11-26 21:08:34',86,'Podcast','2014-11-26 21:08:34','The NSJ Crew - The Nellie',1,2012,2),(7,0,4,4,'2014-11-26 21:08:34',27,'Podcast','2014-11-26 21:08:34','Alaclair Ensemble - Gun gus gus (dimanche soare)',1,2012,3),(8,0,4,4,'2014-11-26 21:08:34',967,'Podcast','2014-11-26 21:08:34','Kurt Vile - Freeway',1,2012,4),(9,0,4,4,'2014-11-26 21:08:34',762,'Podcast','2014-11-26 21:08:34','Mudhoney - I Like It Small',1,2012,5),(10,0,4,4,'2014-11-26 21:08:34',959,'Podcast','2014-11-26 21:08:34','Panda Bear - Bros',1,2012,6),(11,0,4,4,'2014-11-26 21:08:34',901,'Podcast','2014-11-26 21:08:34','Thick Business - Smoothest Runes',1,2012,7),(12,0,4,4,'2014-11-26 21:08:34',355,'Podcast','2014-11-26 21:08:34','Dan Deacon - The Crystal Cat',1,2012,8),(13,0,4,4,'2014-11-26 21:08:34',960,'Podcast','2014-11-26 21:08:34','The Relatives - What\'s Wrong with America?',1,2012,9),(14,0,4,4,'2014-11-26 21:08:34',172,'Podcast','2014-11-26 21:08:34','Twin Sister - I Want a House',1,2012,10),(15,0,4,4,'2014-11-26 21:08:34',720,'Podcast','2014-11-26 21:08:34','Believer/Law - The Task At Hand',1,2012,11),(16,0,4,4,'2014-11-26 21:08:34',82,'Podcast','2014-11-26 21:08:34','Russ Huddleston and Robert Smith Jr - Family Vacation',1,2012,12),(17,0,4,4,'2014-11-26 21:08:34',34,'Podcast','2014-11-26 21:08:34','Sharon Van Etten - Live at Primavera Sound 2012',1,2012,13),(18,0,4,4,'2014-11-26 21:08:34',587,'Podcast','2014-11-26 21:08:34','Glass Candy - Love Love Love',1,2012,14),(19,0,4,4,'2014-11-26 21:08:34',775,'Podcast','2014-11-26 21:08:34','Amen Dunes - Ethio Song',1,2012,15),(20,0,4,4,'2014-11-26 21:08:34',338,'Podcast','2014-11-26 21:08:34','Hank Penny - Rabbits Don\'t Ever Get Married',1,2012,16),(21,0,4,4,'2014-11-26 21:08:34',923,'Podcast','2014-11-26 21:08:34','Free Pizza - COME CLOSE TO ME',1,2012,17),(22,0,4,4,'2014-11-26 21:08:34',716,'Podcast','2014-11-26 21:08:34','Richard Youngs - Spin Me Endless In The Universe',1,2012,18),(23,0,4,4,'2014-11-26 21:08:34',459,'Podcast','2014-11-26 21:08:34','Loren Connors and Bill Orcutt - Untitled 1',1,2012,19),(24,0,4,4,'2014-11-26 21:08:34',842,'Podcast','2014-11-26 21:08:34','Uncle Neptune - The Good in Everything',1,2012,20),(25,0,4,4,'2014-11-26 21:08:34',560,'Podcast','2014-11-26 21:08:34','Anamanaguchi - Helix Nebula',1,2012,21),(26,0,4,4,'2014-11-26 21:08:34',327,'Podcast','2014-11-26 21:08:34','William Tyler - We Can\'t Go Home Again',1,2012,22),(27,0,4,4,'2014-11-26 21:08:34',552,'Podcast','2014-11-26 21:08:34','What Cheer? Brigade - Green Eyes',1,2012,23),(28,0,4,4,'2014-11-26 21:08:34',105,'Podcast','2014-11-26 21:08:34','Lee Rosevere - Moonlight and Roses',1,2012,24),(29,0,4,4,'2014-11-26 21:08:34',862,'Podcast','2014-11-26 21:08:34','Neko Case - Middle Cyclone',1,2012,25),(30,0,4,4,'2014-11-26 21:08:34',236,'Podcast','2014-11-26 21:08:34','Dot Wiggin Band - Banana Bike',1,2012,26),(31,0,4,4,'2014-11-26 21:08:34',318,'Podcast','2014-11-26 21:08:34','Lame Drivers - Frozen Egg',1,2012,27),(32,0,4,4,'2014-11-26 21:08:34',206,'Podcast','2014-11-26 21:08:34','DJ Spooky - Of Water and Ice (feat. Jin-Xiang JX Yu)',1,2012,28),(33,0,4,4,'2014-11-26 21:08:34',402,'Podcast','2014-11-26 21:08:34','Deer Tick - The Dream\'s In The Ditch',1,2012,29),(34,0,4,4,'2014-11-26 21:08:34',796,'Podcast','2014-11-26 21:08:34','Puyo Puyo - Frankenstein Meets The Mummy',1,2012,30),(35,0,4,4,'2014-11-26 21:08:34',322,'Podcast','2014-11-26 21:08:34','Bottlesmoker - AURORA TWIN',1,2012,31),(36,0,4,4,'2014-11-26 21:08:34',522,'Podcast','2014-11-26 21:08:34','Stompin\' Riff Raffs - Ghost Train',1,2012,32),(37,0,4,4,'2014-11-26 21:08:34',104,'Podcast','2014-11-26 21:08:34','MIT Concert Choir - O Fortuna',1,2012,33),(38,0,4,4,'2014-11-26 21:08:34',959,'Podcast','2014-11-26 21:08:34','Blah Blah Blah - Vampires',1,2012,34),(39,0,4,4,'2014-11-26 21:08:34',497,'Podcast','2014-11-26 21:08:34','Patrick Lee - Quittin\' Time',1,2012,35),(40,0,4,4,'2014-11-26 21:08:34',300,'Podcast','2014-11-26 21:08:34','Damscray - Dancing Tiger',1,2012,36),(41,0,4,4,'2014-11-26 21:08:34',571,'Podcast','2014-11-26 21:08:34','Nite Jewel - One Second of Love',1,2012,37),(42,0,4,4,'2014-11-26 21:08:34',469,'Podcast','2014-11-26 21:08:34','OM - Sinai',1,2012,38),(43,0,4,4,'2014-11-26 21:08:34',159,'Podcast','2014-11-26 21:08:34','Tashi Dorji - Improvisation I',1,2012,39),(44,0,4,4,'2014-11-26 21:08:34',139,'Podcast','2014-11-26 21:08:34','Potty Mouth - Dog Song',1,2012,40),(45,0,4,4,'2014-11-26 21:08:34',943,'Podcast','2014-11-26 21:08:34','Yellow Dogs - This City',1,2012,41),(46,0,4,4,'2014-11-26 21:08:34',715,'Podcast','2014-11-26 21:08:34','Glenn Jones - Little Dog\'s Day',1,2012,42),(47,0,4,4,'2014-11-26 21:08:34',334,'Podcast','2014-11-26 21:08:34','The Necks - Night One/Set Two',1,2012,43),(48,0,4,4,'2014-11-26 21:08:34',397,'Podcast','2014-11-26 21:08:34','Asian Women on the Telephone - volk 8 vol 2',1,2012,44),(49,0,4,4,'2014-11-26 21:08:34',512,'Podcast','2014-11-26 21:08:34','Toussaint Morrison - Can\'t Relive The Party',1,2012,45),(50,0,4,4,'2014-11-26 21:08:34',971,'Podcast','2014-11-26 21:08:34','Avec Noir - Ease my Cheese',1,2012,46),(51,0,4,4,'2014-11-26 21:08:34',957,'Podcast','2014-11-26 21:08:34','Obnox - Everybody\'s Fault But Your Own',1,2012,47),(52,0,4,4,'2014-11-26 21:08:34',333,'Podcast','2014-11-26 21:08:34','Lucky Dragons - Mercy',1,2012,48),(53,0,4,4,'2014-11-26 21:08:34',640,'Podcast','2014-11-26 21:08:34','The Soft Boys - Mr. Kennedy',1,2012,49),(54,0,4,4,'2014-11-26 21:08:34',304,'Podcast','2014-11-26 21:08:34','The National Cynical Network - Brain Damage (J Floyd K Remix)',1,2012,50),(55,0,4,4,'2014-11-26 21:08:34',299,'Podcast','2014-11-26 21:08:34','Prince Rama - Rest In Peace',1,2012,51),(56,0,4,4,'2014-11-26 21:08:34',278,'Podcast','2014-11-26 21:08:34','Meat Puppets - Live at Primavera Sound 2013',1,2012,52),(57,0,4,4,'2014-11-26 21:08:34',968,'Podcast','2014-11-26 21:08:34','Thee Moths - The Ghost Of Christmas Presents',1,2012,53),(58,0,4,4,'2014-11-26 21:08:34',208,'Podcast','2014-11-26 21:08:34','Shake That Little Foot - Turkey in the Straw',1,2012,54),(59,0,4,4,'2014-11-26 21:08:34',179,'Podcast','2014-11-26 21:08:34','The Freak Fandango Orchestra - Balkan Beats',1,2012,55),(60,0,4,4,'2014-11-26 21:08:34',479,'Podcast','2014-11-26 21:08:34','Gary War - Grounds For Termination (Phil Gone Mix)',1,2012,56),(61,0,4,4,'2014-11-26 21:08:34',262,'Podcast','2014-11-26 21:08:34','Har-You Percussion Group - Welcome To The Party',1,2012,57),(62,0,4,4,'2014-11-26 21:08:34',105,'Podcast','2014-11-26 21:08:34','EARTH-ENEMY - body on the tide (Black Pus) (side b)',1,2012,58),(63,0,4,4,'2014-11-26 21:08:34',394,'Podcast','2014-11-26 21:08:34','Valley Lodge - Kiss Me I\'m Drunk',1,2012,59),(64,0,4,4,'2014-11-26 21:08:34',335,'Podcast','2014-11-26 21:08:34','Noura Mint Seymali - Ya Oumana',1,2012,60),(65,0,4,4,'2014-11-26 21:08:34',714,'Podcast','2014-11-26 21:08:34','Nick Rivera - The Beast',1,2012,61),(66,0,4,4,'2014-11-26 21:08:34',221,'Podcast','2014-11-26 21:08:34','Xiu Xiu - Ringtones (Superhumanoids Remix)',1,2012,62),(67,0,4,4,'2014-11-26 21:08:34',84,'Podcast','2014-11-26 21:08:34','Reigning Sound - If Christmas Can\'t Bring You Home',1,2012,63),(68,0,4,4,'2014-11-26 21:08:34',629,'Podcast','2014-11-26 21:08:34','Nullsleep - silent night',1,2012,64),(69,0,4,4,'2014-11-26 21:08:34',6,'Podcast','2014-11-26 21:08:34','Bugs and Rats - Me and Santa',1,2012,65),(70,0,4,4,'2014-11-26 21:08:34',975,'Podcast','2014-11-26 21:08:34','Ernest Hare - Santa Claus Hides in the Phonograph [1922]',1,2012,66),(71,0,4,4,'2014-11-26 21:08:34',654,'Podcast','2014-11-26 21:08:34','Vitamin Pets - Christmas Song',1,2012,67),(72,0,4,4,'2014-11-26 21:08:34',7,'Podcast','2014-11-26 21:08:34','Factories & Alleyways - It\'s Christmas Time Again',1,2012,68),(73,0,4,4,'2014-11-26 21:08:34',920,'Podcast','2014-11-26 21:08:34','Rue Royale - Deck the Halls',1,2012,69),(74,0,4,4,'2014-11-26 21:08:34',949,'Podcast','2014-11-26 21:08:34','Rene Wilson - Santa Clause Forgot Me',1,2012,70),(75,0,4,4,'2014-11-26 21:08:34',244,'Podcast','2014-11-26 21:08:34','Rue Royale - Snow on Snow (The Bleak Midwinter)',1,2012,71),(76,0,4,4,'2014-11-26 21:08:34',415,'Podcast','2014-11-26 21:08:34','R. Stevie Moore - Free Pussy Riot',1,2012,72),(77,0,4,4,'2014-11-26 21:08:34',854,'Podcast','2014-11-26 21:08:34','Southern Nights - All My Sorrows',1,2012,73),(78,0,4,4,'2014-11-26 21:08:34',719,'Podcast','2014-11-26 21:08:34','Amil Byleckie - auld lang syne',1,2012,74),(79,0,4,4,'2014-11-26 21:08:34',701,'Podcast','2014-11-26 21:08:34','Littlefoot - sad love song from someone else',1,2012,75),(80,0,4,4,'2014-11-26 21:08:34',392,'Podcast','2014-11-26 21:08:34','Trabajo - The Myth',1,2012,76),(81,0,4,4,'2014-11-26 21:08:34',144,'Podcast','2014-11-26 21:08:34','Bruce Hart - Man is a Person',1,2012,77),(82,0,4,4,'2014-11-26 21:08:34',288,'Podcast','2014-11-26 21:08:34','Zebrat - Fairyland',1,2012,78),(83,0,4,4,'2014-11-26 21:08:34',428,'Podcast','2014-11-26 21:08:34','Ak\'chamel, The Giver of Illness - Underworld Sweat Bath',1,2012,79),(84,0,4,4,'2014-11-26 21:08:34',151,'Podcast','2014-11-26 21:08:34','Malportado Kids - Soy La Pocha',1,2012,80),(85,0,4,4,'2014-11-26 21:08:34',719,'Podcast','2014-11-26 21:08:34','The Pizza Underground - Medley',1,2012,81),(86,0,4,4,'2014-11-26 21:08:34',663,'Podcast','2014-11-26 21:08:34','Javiera Mena - Camara Lenta',1,2012,82),(87,0,4,4,'2014-11-26 21:08:34',531,'Podcast','2014-11-26 21:08:34','Jeffrey Lewis and the Rain - Cult Boyfriend',1,2012,83),(88,0,4,4,'2014-11-26 21:08:34',140,'Podcast','2014-11-26 21:08:34','Big Bill Broonzy - Baby, Please Don\'t Go',1,2012,84),(89,0,4,4,'2014-11-26 21:08:34',222,'Podcast','2014-11-26 21:08:34','Silver Jews - Trains Across The Sea',1,2012,85),(90,0,4,4,'2014-11-26 21:08:34',125,'Podcast','2014-11-26 21:08:34','Zlatni Makedoncinja - Milionerce Dada Sali',1,2012,86),(91,0,4,4,'2014-11-26 21:08:34',151,'Podcast','2014-11-26 21:08:34','Martin Luther King - Speech at Santa Rita, CA 14 Jan 1968 (Anti-War Demonstration)',1,2012,87),(92,0,4,4,'2014-11-26 21:08:34',351,'Podcast','2014-11-26 21:08:34','Candlegravity - Anxiety Ejection',1,2012,88),(93,0,4,4,'2014-11-26 21:08:34',443,'Podcast','2014-11-26 21:08:34','Baby Gherkin - Dinner with the Trees',1,2012,89),(94,0,4,4,'2014-11-26 21:08:34',118,'Podcast','2014-11-26 21:08:34','Arrington de Dionyso and Ravi Padmanabha - Voice and Bowed Percussion',1,2012,90),(95,0,4,4,'2014-11-26 21:08:34',976,'Podcast','2014-11-26 21:08:34','Brian Chase - Drone State of Mind, v 1',1,2012,91),(96,0,4,4,'2014-11-26 21:08:34',975,'Podcast','2014-11-26 21:08:34','Javelin - The Marimba Song',1,2012,92),(97,0,4,4,'2014-11-26 21:08:34',533,'Podcast','2014-11-26 21:08:34','Jacco Gardner - Cabinet Of Curiosities',1,2012,93),(98,0,4,4,'2014-11-26 21:08:34',243,'Podcast','2014-11-26 21:08:34','Maan - define my day',1,2012,94),(99,0,4,4,'2014-11-26 21:08:34',477,'Podcast','2014-11-26 21:08:34','Ergo Phizmiz - Salt',1,2012,95),(100,0,4,4,'2014-11-26 21:08:34',149,'Podcast','2014-11-26 21:08:34','Hi-Rez - Better Place (Prod. by Instinctz Beats)',1,2012,96),(101,0,4,4,'2014-11-26 21:08:34',281,'Podcast','2014-11-26 21:08:34','The Left Outsides - Unopened Letters',1,2012,97),(102,0,4,4,'2014-11-26 21:08:34',774,'Podcast','2014-11-26 21:08:34','Salmo - Eclosion',1,2012,98),(103,0,4,4,'2014-11-26 21:08:34',545,'Podcast','2014-11-26 21:08:34','Talkshow Boy - I Know A Girl Who Spots Foxes',1,2012,99),(104,0,4,4,'2014-11-26 21:08:34',432,'Podcast','2014-11-26 21:08:34','My Bubba & Mi - Oh Kiss No',1,2012,100),(105,0,4,4,'2014-11-26 21:08:34',417,'Podcast','2014-11-26 21:08:34','The Polish Ambassador - New Funk Millennium',1,2012,101),(106,0,4,4,'2014-11-26 21:08:34',268,'Podcast','2014-11-26 21:08:34','Vivian Girls - Can\'t Get Over You',1,2012,102),(107,0,4,4,'2014-11-26 21:08:34',874,'Podcast','2014-11-26 21:08:34','The United States Army Old Guard Fife and Drum Corps - The Presidents March',1,2012,103),(108,0,4,4,'2014-11-26 21:08:34',329,'Podcast','2014-11-26 21:08:34','Alice Bag - Free Pussy Riot',1,2012,104),(109,0,4,4,'2014-11-26 21:08:34',751,'Podcast','2014-11-26 21:08:34','New Air - Emotions',1,2012,105),(110,0,4,4,'2014-11-26 21:08:34',296,'Podcast','2014-11-26 21:08:34','Jackson F. Smith - Cantina Rag',1,2012,106),(111,0,4,4,'2014-11-26 21:08:34',565,'Podcast','2014-11-26 21:08:34','Zikrayat - Drum Solo',1,2012,107),(112,0,4,4,'2014-11-26 21:08:34',679,'Podcast','2014-11-26 21:08:34','Wooden Shjips - Ruins',1,2012,108),(113,0,4,4,'2014-11-26 21:08:34',743,'Podcast','2014-11-26 21:08:34','Electrician - Our scalps are dry',1,2012,109),(114,0,4,4,'2014-11-26 21:08:34',59,'Podcast','2014-11-26 21:08:34','Half Japanese - Firecracker',1,2012,110),(115,0,4,4,'2014-11-26 21:08:34',200,'Podcast','2014-11-26 21:08:34','Jared C. Balogh - Micro Composition 11',1,2012,111),(116,0,4,4,'2014-11-26 21:08:34',944,'Podcast','2014-11-26 21:08:34','Marco Benevento - Limbs Of A Pine',1,2012,112),(117,0,4,4,'2014-11-26 21:08:34',977,'Podcast','2014-11-26 21:08:34','A-1 Mr. Son - Foul Mouthed Birthday Robot',1,2012,113),(118,0,4,4,'2014-11-26 21:08:34',676,'Podcast','2014-11-26 21:08:34','Wild Flag - Romance (Live at WFMU)',1,2012,114),(119,0,4,4,'2014-11-26 21:08:34',832,'Podcast','2014-11-26 21:08:34','Chris Zabriskie - Cylinder One',1,2012,115),(120,0,4,4,'2014-11-26 21:08:34',491,'Podcast','2014-11-26 21:08:34','Guerilla Toss - Pink Elephant',1,2012,116),(121,0,4,4,'2014-11-26 21:08:34',873,'Podcast','2014-11-26 21:08:34','Protomartyr - Maidenhead',1,2012,117),(122,0,4,4,'2014-11-26 21:08:34',210,'Podcast','2014-11-26 21:08:34','Tigre Merde - Gazing Into The Stygian Deeps',1,2012,118),(123,0,4,4,'2014-11-26 21:08:34',125,'Podcast','2014-11-26 21:08:34','Blanket Music - I\'m Fat',1,2012,119),(124,0,4,4,'2014-11-26 21:08:34',752,'Podcast','2014-11-26 21:08:34','mr&mrsBrian - me & my cold',1,2012,120),(125,0,4,4,'2014-11-26 21:08:34',905,'Podcast','2014-11-26 21:08:34','johnny_ripper - jean',1,2012,121),(126,0,4,4,'2014-11-26 21:08:34',109,'Podcast','2014-11-26 21:08:34','Ubasute - Divorce Catalyst',1,2012,122),(127,0,4,4,'2014-11-26 21:08:34',203,'Podcast','2014-11-26 21:08:34','Inara George - Q',1,2012,123),(128,0,4,4,'2014-11-26 21:08:34',760,'Podcast','2014-11-26 21:08:34','Carb On Carb - My First Project',1,2012,124),(129,0,4,4,'2014-11-26 21:08:34',532,'Podcast','2014-11-26 21:08:34','The Clientele - I Know I\'ll See Your Face (Live @ KEXP)',1,2012,125),(130,0,4,4,'2014-11-26 21:08:34',563,'Podcast','2014-11-26 21:08:34','Podington Bear - Delphi',1,2012,126),(131,0,4,4,'2014-11-26 21:08:34',564,'Podcast','2014-11-26 21:08:34','Boogarins - Avalanche',1,2012,127),(132,0,4,4,'2014-11-26 21:08:34',929,'Podcast','2014-11-26 21:08:34','The Old Codger (with R. Stevie Moore) - Hotcakes and Sausage',1,2012,128),(133,0,4,4,'2014-11-26 21:08:34',17,'Podcast','2014-11-26 21:08:34','Madcat - Puff Da Cig (prod. Kharkov)',1,2012,129),(134,0,4,4,'2014-11-26 21:08:34',444,'Podcast','2014-11-26 21:08:34','White Noise - White Noise',1,2012,130),(135,0,4,4,'2014-11-26 21:08:34',825,'Podcast','2014-11-26 21:08:34','Arrington de Dionyso and SENYAWA - Improvisation 2',1,2012,131),(136,0,4,4,'2014-11-26 21:08:34',98,'Podcast','2014-11-26 21:08:34','U.S. Girls - The Island Song',1,2012,132),(137,0,4,4,'2014-11-26 21:08:34',343,'Podcast','2014-11-26 21:08:34','Man Forever - Surface Patterns',1,2012,133),(138,0,4,4,'2014-11-26 21:08:34',911,'Podcast','2014-11-26 21:08:34','Sharon Van Etten - We Are Fine (Live at WFMU)',1,2012,134),(139,0,4,4,'2014-11-26 21:08:34',936,'Podcast','2014-11-26 21:08:34','The Mantles - Reason\'s Run',1,2012,135),(140,0,4,4,'2014-11-26 21:08:34',797,'Podcast','2014-11-26 21:08:34','Inspector 22 - Lesson Learnin\'',1,2012,136),(141,0,4,4,'2014-11-26 21:08:34',436,'Podcast','2014-11-26 21:08:34','Noveller - Entering',1,2012,137),(142,0,4,4,'2014-11-26 21:08:34',473,'Podcast','2014-11-26 21:08:34','Cosmic Analog Ensemble - Deltas For Corridors',1,2012,138),(143,0,4,4,'2014-11-26 21:08:34',940,'Podcast','2014-11-26 21:08:34','Violeta Päivänkakkara - Sateenkaari',1,2012,139),(144,0,4,4,'2014-11-26 21:08:34',424,'Podcast','2014-11-26 21:08:34','Jowe Head and the Celestial Choir - Merman Blues',1,2012,140),(145,0,4,4,'2014-11-26 21:08:34',24,'Podcast','2014-11-26 21:08:34','dustmotes - Cube Steak',1,2012,141),(146,0,4,4,'2014-11-26 21:08:34',270,'Podcast','2014-11-26 21:08:34','Half Japanese - Song of Joy (Live at Primavera Sound 2011 on WFMU)',1,2012,142),(147,0,4,4,'2014-11-26 21:08:34',317,'Podcast','2014-11-26 21:08:34','Chris Forsyth and the Solar Motel Band - Boston Street Lullaby',1,2012,143),(148,0,4,4,'2014-11-26 21:08:34',520,'Podcast','2014-11-26 21:08:34','Orthotonics - Accessible as Gravity',1,2012,144),(149,0,4,4,'2014-11-26 21:08:34',523,'Podcast','2014-11-26 21:08:34','Fishheads - Tuna Boat',1,2012,145),(150,0,4,4,'2014-11-26 21:08:34',622,'Podcast','2014-11-26 21:08:34','?????? ???????? - ??????? ???',1,2012,146),(151,0,4,4,'2014-11-26 21:08:34',455,'Podcast','2014-11-26 21:08:34','State of the Artist - Black (Live @ KEXP)',1,2012,147),(152,0,4,4,'2014-11-26 21:08:34',590,'Podcast','2014-11-26 21:08:34','Jalikebba Kuyateh and the Toubabs - N\' Latéla',1,2012,148),(153,0,4,4,'2014-11-26 21:08:34',496,'Podcast','2014-11-26 21:08:34','Possimiste - Star Caesar',1,2012,149),(154,0,4,4,'2014-11-26 21:08:34',421,'Podcast','2014-11-26 21:08:34','Las Kellies - Erase You',1,2012,150),(155,0,4,4,'2014-11-26 21:08:34',789,'Podcast','2014-11-26 21:08:34','Shannon And The Clams - You Will Always Bring Me Flowers',1,2012,151),(156,0,4,4,'2014-11-26 21:08:34',17,'Podcast','2014-11-26 21:08:34','Volitune - Above Planets',1,2012,152),(157,0,4,4,'2014-11-26 21:08:34',383,'Podcast','2014-11-26 21:08:34','dadalu - Clorofilando',1,2012,153),(158,0,4,4,'2014-11-26 21:08:34',802,'Podcast','2014-11-26 21:08:34','Michael Gira - Live at Primavera Sound 2012 on WFMU',1,2012,154),(159,0,4,4,'2014-11-26 21:08:34',729,'Podcast','2014-11-26 21:08:34','Talk Less Say More - Let\'s Be True To One Another',1,2012,155),(160,0,4,4,'2014-11-26 21:08:34',431,'Podcast','2014-11-26 21:08:34','People Like Us - Blue Bayou',1,2012,156),(161,0,4,4,'2014-11-26 21:08:34',422,'Podcast','2014-11-26 21:08:34','Martin Lowack - California Dreamin',1,2012,157),(162,0,4,4,'2014-11-26 21:08:34',592,'Podcast','2014-11-26 21:08:34','saxsyndrum - heartstrings (johnny_ripper remix)',1,2012,158),(163,0,4,4,'2014-11-26 21:08:34',578,'Podcast','2014-11-26 21:08:34','Estrogen Highs - It Has To Rhyme',1,2012,159),(164,0,4,4,'2014-11-26 21:08:34',537,'Podcast','2014-11-26 21:08:34','Zikrayat - Ghazala',1,2012,160),(165,0,4,4,'2014-11-26 21:08:34',868,'Podcast','2014-11-26 21:08:34','Throwing Muses - Not Too Soon',1,2012,161),(166,0,4,4,'2014-11-26 21:08:34',477,'Podcast','2014-11-26 21:08:34','Punky Donch - Funky Reggae Party',1,2012,162),(167,0,4,4,'2014-11-26 21:08:34',251,'Podcast','2014-11-26 21:08:34','Water Sark - Walkie Talkies',1,2012,163),(168,0,4,4,'2014-11-26 21:08:34',808,'Podcast','2014-11-26 21:08:34','Psychedelic Horseshit - New Wave Hippies',1,2012,164),(169,0,4,4,'2014-11-26 21:08:34',916,'Podcast','2014-11-26 21:08:34','Limiñanas - Gogo Girl',1,2012,165),(170,0,4,4,'2014-11-26 21:08:34',468,'Podcast','2014-11-26 21:08:34','Uncle Milk - Dead Ants',1,2012,166),(171,0,4,4,'2014-11-26 21:08:34',770,'Podcast','2014-11-26 21:08:34','Mudlark - troy buswell sniffing seats',1,2012,167),(172,0,4,4,'2014-11-26 21:08:34',638,'Podcast','2014-11-26 21:08:34','J Butler - Sundown',1,2012,168),(173,0,4,4,'2014-11-26 21:08:34',993,'Podcast','2014-11-26 21:08:34','Schemawound - Datapump',1,2012,169),(174,0,4,4,'2014-11-26 21:08:34',212,'Podcast','2014-11-26 21:08:34','Schemawound - Between Phase',1,2012,170),(175,0,4,4,'2014-11-26 21:08:34',171,'Podcast','2014-11-26 21:08:34','BOPD - 1.26 beat1',1,2012,171),(176,0,4,4,'2014-11-26 21:08:34',515,'Podcast','2014-11-26 21:08:34','Pampers - Night Brunch',1,2012,172),(177,0,4,4,'2014-11-26 21:08:34',431,'Podcast','2014-11-26 21:08:34','Bohemios da Cidade - Lá Lá é Lé Lé',1,2012,173),(178,0,4,4,'2014-11-26 21:08:34',927,'Podcast','2014-11-26 21:08:34','Robyn Hitchcock - W Sucks',1,2012,174),(179,0,4,4,'2014-11-26 21:08:34',694,'Podcast','2014-11-26 21:08:34','Veronica Falls - Found Love In A Graveyard (Live @ KEXP)',1,2012,175),(180,0,4,4,'2014-11-26 21:08:34',537,'Podcast','2014-11-26 21:08:34','Dustin Wong - Diagonally Talking Echoes',1,2012,176),(181,0,4,4,'2014-11-26 21:08:34',863,'Podcast','2014-11-26 21:08:34','Mutilation Rites - A Season of Grey Rain',1,2012,177),(182,0,4,4,'2014-11-26 21:08:34',262,'Podcast','2014-11-26 21:08:34','Wilted Woman - pentan',1,2012,178),(183,0,4,4,'2014-11-26 21:08:34',855,'Podcast','2014-11-26 21:08:34','Pampers - Guts',1,2012,179),(184,0,4,4,'2014-11-26 21:08:34',120,'Podcast','2014-11-26 21:08:34','Zombie Zombie - L\'Espirit Du Cimitiere',1,2012,180),(185,0,4,4,'2014-11-26 21:08:34',82,'Podcast','2014-11-26 21:08:34','Carsick Cars - Zhong Nan Hai',1,2012,181),(186,0,4,4,'2014-11-26 21:08:34',168,'Podcast','2014-11-26 21:08:34','Jowe Head and the Celestial Choir - Imp Of The Perverse',1,2012,182),(187,0,4,4,'2014-11-26 21:08:34',268,'Podcast','2014-11-26 21:08:34','Bill Orcutt - Untitled',1,2012,183),(188,0,4,4,'2014-11-26 21:08:34',47,'Podcast','2014-11-26 21:08:34','Courtney Barnett - Scotty Says',1,2012,184),(189,0,4,4,'2014-11-26 21:08:34',515,'Podcast','2014-11-26 21:08:34','Marissa Nadler - Firecracker',1,2012,185),(190,0,4,4,'2014-11-26 21:08:34',966,'Podcast','2014-11-26 21:08:34','pHoaming Edison - Normal',1,2012,186),(191,0,4,4,'2014-11-26 21:08:34',920,'Podcast','2014-11-26 21:08:34','Peter Kerlin Octet - Wanna Let The Belltower Ring',1,2012,187),(192,0,4,4,'2014-11-26 21:08:34',124,'Podcast','2014-11-26 21:08:34','Schemawound - The World Won\'t End',1,2012,188),(193,0,4,4,'2014-11-26 21:08:34',906,'Podcast','2014-11-26 21:08:34','Meaner Pencil - In July, In July',1,2012,189),(194,0,4,4,'2014-11-26 21:08:34',131,'Podcast','2014-11-26 21:08:34','When Particles Collide - Time',1,2012,190),(195,0,4,4,'2014-11-26 21:08:34',894,'Podcast','2014-11-26 21:08:34','The Black Hollies - Wake Me When It\'s Over',1,2012,191),(196,0,4,4,'2014-11-26 21:08:34',584,'Podcast','2014-11-26 21:08:34','Priests - Right Wing',1,2012,192),(197,0,4,4,'2014-11-26 21:08:34',286,'Podcast','2014-11-26 21:08:34','The Young - Dressed In Black',1,2012,193),(198,0,4,4,'2014-11-26 21:08:34',985,'Podcast','2014-11-26 21:08:34','Tombs - The Great Silence',1,2012,194),(199,0,4,4,'2014-11-26 21:08:34',441,'Podcast','2014-11-26 21:08:34','The Golden Pelicans - Chained to This Dumpster',1,2012,195),(200,0,4,4,'2014-11-26 21:08:34',998,'Podcast','2014-11-26 21:08:34','Sam Moss - Ocean',1,2012,196),(201,0,4,4,'2014-11-26 21:08:34',811,'Podcast','2014-11-26 21:08:34','Joe McCarthy\'s Ghost - Wavering Faith',1,2012,197),(202,0,4,4,'2014-11-26 21:08:34',381,'Podcast','2014-11-26 21:08:34','Jim Keller - Walk You Home',1,2012,198),(203,0,4,4,'2014-11-26 21:08:34',701,'Podcast','2014-11-26 21:08:34','Vanya Zhuk - New Sher',1,2012,199),(204,0,4,4,'2014-11-26 21:08:34',963,'Podcast','2014-11-26 21:08:34','Azar Swan - Lovely Day',1,2012,200),(205,0,4,4,'2014-11-26 21:08:34',594,'Podcast','2014-11-26 21:08:34','Bee and Flower - I Know Your Name',1,2012,201),(206,0,4,4,'2014-11-26 21:08:34',686,'Podcast','2014-11-26 21:08:34','MV + EE and Willie Lane - Decade',1,2012,202),(207,0,4,4,'2014-11-26 21:08:34',252,'Podcast','2014-11-26 21:08:34','Michaela Anne - Ease My Mind',1,2012,203),(208,0,4,4,'2014-11-26 21:08:34',974,'Podcast','2014-11-26 21:08:34','Mess. - Sick Song',1,2012,204),(209,0,4,4,'2014-11-26 21:08:35',224,'Podcast','2014-11-26 21:08:35','Kelly Latimore - On Seeing a Candle at a Rave',1,2012,205),(210,0,4,4,'2014-11-26 21:08:35',861,'Podcast','2014-11-26 21:08:35','Lovira - Birthday present',1,2012,206),(211,0,4,4,'2014-11-26 21:08:35',218,'Podcast','2014-11-26 21:08:35','Gotesman Razin Mikryukov - Connection 3 (Nuriev)',1,2012,207),(212,0,4,4,'2014-11-26 21:08:35',954,'Podcast','2014-11-26 21:08:35','The Clientele - Porcelain',1,2012,208),(213,0,4,4,'2014-11-26 21:08:35',265,'Podcast','2014-11-26 21:08:35','Janne Nummela - Zen Killer',1,2012,209),(214,0,4,4,'2014-11-26 21:08:35',176,'Podcast','2014-11-26 21:08:35','Ukrainian VIllage Voices - Oj Che Je Che Nema',1,2012,210),(215,0,4,4,'2014-11-26 21:08:35',559,'Podcast','2014-11-26 21:08:35','Wooden Shjips - These Shadows',1,2012,211),(216,0,4,4,'2014-11-26 21:08:35',671,'Podcast','2014-11-26 21:08:35','The Harrow - The River',1,2012,212),(217,0,4,4,'2014-11-26 21:08:35',681,'Podcast','2014-11-26 21:08:35','Hector\'s Pets - Meltdown Momma',1,2012,213),(218,0,4,4,'2014-11-26 21:08:35',175,'Podcast','2014-11-26 21:08:35','Maria Pien - Fruto prohibido',1,2012,214),(219,0,4,4,'2014-11-26 21:08:35',781,'Podcast','2014-11-26 21:08:35','Alien Whale - Free In E',1,2012,215),(220,0,4,4,'2014-11-26 21:08:35',817,'Podcast','2014-11-26 21:08:35','Celebration - Battles',1,2012,216),(221,0,4,4,'2014-11-26 21:08:35',766,'Podcast','2014-11-26 21:08:35','Crisopa - Algo Cián',1,2012,217),(222,0,4,4,'2014-11-26 21:08:35',809,'Podcast','2014-11-26 21:08:35','Cagey House - What Chills What Thrills',1,2012,218),(223,0,4,4,'2014-11-26 21:08:35',289,'Podcast','2014-11-26 21:08:35','Japanese Communities - Night & toads - path to the home of the dead',1,2012,219),(224,0,4,4,'2014-11-26 21:08:35',915,'Podcast','2014-11-26 21:08:35','Ergo Phizmiz - Orpheus\' Awkwardly Buttoned Duffle Coat',1,2012,220),(225,0,4,4,'2014-11-26 21:08:35',879,'Podcast','2014-11-26 21:08:35','Maria Pien - Río Rivadavia',1,2012,221),(226,0,4,4,'2014-11-26 21:08:35',305,'Podcast','2014-11-26 21:08:35','Town Hall - Charlie',1,2012,222),(227,0,4,4,'2014-11-26 21:08:35',244,'Podcast','2014-11-26 21:08:35','Butano Bazaar - Summer',1,2012,223),(228,0,4,4,'2014-11-26 21:08:35',297,'Podcast','2014-11-26 21:08:35','Matteah Baim - Peach Tree',1,2012,224),(229,0,4,4,'2014-11-26 21:08:35',6,'Podcast','2014-11-26 21:08:35','-ono- - BETRAY_06',1,2012,225),(230,0,4,4,'2014-11-26 21:08:35',163,'Podcast','2014-11-26 21:08:35','Lee Rosevere - Xeroxe',1,2012,226),(231,0,4,4,'2014-11-26 21:08:35',869,'Podcast','2014-11-26 21:08:35','BTB - ybrk id',1,2012,227),(232,0,4,4,'2014-11-26 21:08:35',339,'Podcast','2014-11-26 21:08:35','Violeta Päivänkakkara - Ilma',1,2012,228),(233,0,4,4,'2014-11-26 21:08:35',924,'Podcast','2014-11-26 21:08:35','OM - Mediation Is The Practice of Death',1,2012,229),(234,0,4,4,'2014-11-26 21:08:35',936,'Podcast','2014-11-26 21:08:35','Afrocubism - Nima Diyala (Live at Primavera Sound 2012 on WFMU)',1,2012,230),(235,0,4,4,'2014-11-26 21:08:35',817,'Podcast','2014-11-26 21:08:35','Suicide - Dream Baby Dream (live at Primavera Sound 2011 on WFMU)',1,2012,231),(236,0,4,4,'2014-11-26 21:08:35',802,'Podcast','2014-11-26 21:08:35','Prince Rama - Summer of Love (Live at Primavera Sound 2011 on WFMU)',1,2012,232),(237,0,4,4,'2014-11-26 21:08:35',543,'Podcast','2014-11-26 21:08:35','Pissed Jeans - Half Idiot (live at Primavera Sound 2011 on WFMU)',1,2012,233),(238,0,4,4,'2014-11-26 21:08:35',804,'Podcast','2014-11-26 21:08:35','Black Sea Hotel - Sadila Jana',1,2012,234),(239,0,4,4,'2014-11-26 21:08:35',386,'Podcast','2014-11-26 21:08:35','Pauline Oliveros - Silence (10.8.2010)',1,2012,235),(240,0,4,4,'2014-11-26 21:08:35',623,'Podcast','2014-11-26 21:08:35','Alcrete - 2',1,2012,236),(241,0,4,4,'2014-11-26 21:08:35',799,'Podcast','2014-11-26 21:08:35','Sete Star Sept and Infinite Distortion - Improvisation with Sete Star Sept and Infinite Distortion',1,2012,237),(242,0,4,4,'2014-11-26 21:08:35',784,'Podcast','2014-11-26 21:08:35','Chris Zabriskie - Air Hockey Saloon',1,2012,238),(243,0,4,4,'2014-11-26 21:08:35',88,'Podcast','2014-11-26 21:08:35','Vaniish - Cold Fascination',1,2012,239),(244,0,4,4,'2014-11-26 21:08:35',723,'Podcast','2014-11-26 21:08:35','Arc Waves - Siliviculture',1,2012,240),(245,0,4,4,'2014-11-26 21:08:35',367,'Podcast','2014-11-26 21:08:35','Kraus - Workers in Control',1,2012,241),(246,0,4,4,'2014-11-26 21:08:35',350,'Podcast','2014-11-26 21:08:35','100% BLACK - NEW THING',1,2012,242),(247,0,4,4,'2014-11-26 21:08:35',302,'Podcast','2014-11-26 21:08:35','Steve Marciano - Annexation',1,2012,243),(248,0,4,4,'2014-11-26 21:08:35',459,'Podcast','2014-11-26 21:08:35','Uncle Woody Sullender and Seamus Cater - Vanguard Blues',1,2012,244),(249,0,4,4,'2014-11-26 21:08:35',291,'Podcast','2014-11-26 21:08:35','Pk jazz Collective - I Am The Reason',1,2012,245),(250,0,4,4,'2014-11-26 21:08:35',598,'Podcast','2014-11-26 21:08:35','Melvins - Zodiac',1,2012,246),(251,0,4,4,'2014-11-26 21:08:35',548,'Podcast','2014-11-26 21:08:35','Mark Castle - Zombies!',1,2012,247),(252,0,4,4,'2014-11-26 21:08:35',135,'Podcast','2014-11-26 21:08:35','Arrington de Dionyso & Greg Saunier - Two',1,2012,248),(253,0,4,4,'2014-11-26 21:08:35',602,'Podcast','2014-11-26 21:08:35','Galleon - Wizard',1,2012,249),(254,0,4,4,'2014-11-26 21:08:35',635,'Podcast','2014-11-26 21:08:35','Rene Kita - Hip Bee',1,2012,250),(255,0,4,4,'2014-11-26 21:08:35',182,'Podcast','2014-11-26 21:08:35','How How - clamour the plastic puke',1,2012,251),(256,0,4,4,'2014-11-26 21:08:35',601,'Podcast','2014-11-26 21:08:35','Cleaners From Venus - At Home With Myself',1,2012,252),(257,0,4,4,'2014-11-26 21:08:35',886,'Podcast','2014-11-26 21:08:35','Telegraphy - Cosmic Induction Generation',1,2012,253),(258,0,4,4,'2014-11-26 21:08:35',740,'Podcast','2014-11-26 21:08:35','The Bomb Busters - Good To Be Alone',1,2012,254),(259,0,4,4,'2014-11-26 21:08:35',193,'Podcast','2014-11-26 21:08:35','Custodian of Records - Braniac Dumb Dumbz',1,2012,255),(260,0,4,4,'2014-11-26 21:08:35',341,'Podcast','2014-11-26 21:08:35','Chicago Underground Duo - Moon Debris [digital only]',1,2012,256),(261,0,4,4,'2014-11-26 21:08:35',784,'Podcast','2014-11-26 21:08:35','Eleven Twenty-Nine - White Horse Blues',1,2012,257),(262,0,4,4,'2014-11-26 21:08:35',997,'Podcast','2014-11-26 21:08:35','Tim Maloney - Thunderclock',1,2012,258),(263,0,4,4,'2014-11-26 21:08:35',120,'Podcast','2014-11-26 21:08:35','Super Creep - Get Off My Beach',1,2012,259),(264,0,4,4,'2014-11-26 21:08:35',590,'Podcast','2014-11-26 21:08:35','springtide - Distant thunder, Sunday morning',1,2012,260),(265,0,4,4,'2014-11-26 21:08:35',391,'Podcast','2014-11-26 21:08:35','Feelings - Name Droppers Of The World Unite',1,2012,261),(266,0,4,4,'2014-11-26 21:08:35',505,'Podcast','2014-11-26 21:08:35','The Conet Project - the swedish rhapsody',1,2012,262),(267,0,4,4,'2014-11-26 21:08:35',10,'Podcast','2014-11-26 21:08:35','Newton Balloon - Kid Tricycle',1,2012,263),(268,0,4,4,'2014-11-26 21:08:35',992,'Podcast','2014-11-26 21:08:35','Michael Byron - A Bird Revealing the Unknown to the Sky',1,2012,264),(269,0,4,4,'2014-11-26 21:08:35',572,'Podcast','2014-11-26 21:08:35','sumgii - Daddies Boy Glitch',1,2012,265),(270,0,4,4,'2014-11-26 21:08:35',985,'Podcast','2014-11-26 21:08:35','Lee Rosevere - Eileen',1,2012,266),(271,0,4,4,'2014-11-26 21:08:35',800,'Podcast','2014-11-26 21:08:35','jarby mc coy - soul sleep',1,2012,267),(272,0,4,4,'2014-11-26 21:08:35',999,'Podcast','2014-11-26 21:08:35','White Mystery - Halloween',1,2012,268),(273,0,4,4,'2014-11-26 21:08:35',276,'Podcast','2014-11-26 21:08:35','Michaela Anne - I Ain\'t For You',1,2012,269),(274,0,4,4,'2014-11-26 21:08:35',595,'Podcast','2014-11-26 21:08:35','Mammal - white telephone',1,2012,270),(275,0,4,4,'2014-11-26 21:08:35',411,'Podcast','2014-11-26 21:08:35','The Impossebulls - The GetBack',1,2012,271),(276,0,4,4,'2014-11-26 21:08:35',736,'Podcast','2014-11-26 21:08:35','Latché Swing - Swing 39',1,2012,272),(277,0,4,4,'2014-11-26 21:08:35',331833,'Podcast','2014-11-26 21:08:35','IOTA - En corps',1,2014,273),(278,0,5,4,'2014-11-26 21:08:35',39,'Podcast','2014-11-26 21:08:35','Ain\'t No Love - Tears of Joy',1,2012,0),(279,0,6,4,'2014-11-26 21:08:35',10,'Rock','2014-11-26 21:08:35','The Rope River Blues Band - Wet Hair',1,2012,0),(280,0,7,5,'2014-11-26 21:08:35',393,'Podcast','2014-11-26 21:08:35','Silence Is Sexy - Holiday (instrumental)',1,2012,0),(281,0,8,6,'2014-11-26 21:08:35',310,'Podcast','2014-11-26 21:08:35','Wooden Shjips - O Tannenbaum',1,2012,0),(282,0,9,7,'2014-11-26 21:08:35',1,'Classical','2014-11-26 21:08:35','The Woolen Men - Temp. Monument',1,2012,0),(283,0,10,8,'2014-11-26 21:08:35',399,'Podcast','2014-11-26 21:08:35','Shannon And The Clams - Done with You',1,2012,0),(284,0,10,8,'2014-11-26 21:08:35',948,'Podcast','2014-11-26 21:08:35','Sláinte - Julia Delaney',1,2012,1),(285,0,11,9,'2014-11-26 21:08:35',649,'Podcast','2014-11-26 21:08:35','Black Dice - Pinball Wizard',1,2012,0);
/*!40000 ALTER TABLE `song` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-11-14 14:31:45
